import axios from '@/utils/axios';
import { stringToUrl } from '@/common/js/utils';

// 回显
export function getOneJoinPayMch(params) {
  return axios.post(`/SZWL-SERVER/tJoinpayMch/getOne?${stringToUrl(params)}`, params);
}
// 保存
export function saveJoinPayMch(params) {
  return axios.post(`/SZWL-SERVER/tJoinpayMch/save`, params);
}
// 撤回修改
export function updateJoinPayMchCheck(params) {
  return axios.get(`/SZWL-SERVER/tJoinpayMchCheck/update?${stringToUrl(params)}`);
}
// 上传图片
export function sentImage(params) {
  return axios.post(`/SZWL-SERVER/tJoinpayMch/sentImage`, params);
}
// 签约
export function altMchSign(params) {
  return axios.get(`/SZWL-SERVER/tJoinpayMch/altMchSign?${stringToUrl(params)}`);
}
